ur_rna.RNAstructure.backend

## Class ProgressHandler

- java.lang.Object
- - ur_rna.RNAstructure.backend.ProgressHandler

- Direct Known Subclasses:
    PartialProgress, SimpleProgressHandler, TProgressDialog

      public class ProgressHandler
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `swigCMemOwn`
    `private long` | `swigCPtr`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ProgressHandler(long cPtr, boolean cMemoryOwn)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancel()`
    `boolean` | `canceled()`
    `void` | `delete()`
    `protected void` | `finalize()`
    `protected static long` | `getCPtr(ProgressHandler obj)`
    `int` | `progress()`
    `void` | `reset()`
    `void` | `update(double workComplete, double totalWork)`
    `void` | `update(int percent)`
    `void` | `updateFraction(double fractionComplete)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### swigCMemOwn

          protected transient boolean swigCMemOwn

    - #### swigCPtr

          private transient long swigCPtr

  - ### Constructor Detail

    - #### ProgressHandler

          protected ProgressHandler(long cPtr,
                                    boolean cMemoryOwn)

  - ### Method Detail

    - #### cancel

          public void cancel()

    - #### canceled

          public boolean canceled()

    - #### delete

          public void delete()

    - #### finalize

          protected void finalize()

      Overrides:
        `finalize` in class `java.lang.Object`

    - #### getCPtr

          protected static long getCPtr(ProgressHandler obj)

    - #### progress

          public int progress()

    - #### reset

          public void reset()

    - #### update

          public void update(double workComplete,
                             double totalWork)

    - #### update

          public void update(int percent)

    - #### updateFraction

          public void updateFraction(double fractionComplete)